Subject: [X2Go-Dev] Bug#1134: No environment variable available for testing in .bash_profile or .bashrc

From: Ted Toal <[email-masked]>
Date: Tue, 10 Jan 2017 17:49:36 -0800

First, I’m checking DISPLAY by these methods:
env | grep DISPLAY
echo $DISPLAY

By xterm in single application mode, do you mean to start a terminal window from XQuartz?  Or do you mean to start an application from x2go using published applications mode?  Or?

When I ssh into the machine from Mac Terminal or from a terminal window in XQuartz, DISPLAY does not have a value.

I don’t know much about the different window environments for unix, but when I set TRINITY on x2go, I am unable to connect, I get the error “Unable to execute: start trinity”.  

I’m new at x2go and haven’t read any manual yet, I’m just trying to go for it.

ted

> On Jan 10, 2017, at 2:55 PM, Stefan Baur <[email-masked]> wrote:
> 
> Am 10.01.2017 um 23:44 schrieb Ted Toal:
>> I’m running in windowed mode (XFCE) through x2go and XQuartz.  The
>> DISPLAY environment variable is not set. 
> 
> Hmm, that shouldn't happen.  While I don't have XFCE and a Mac available
> tonight, doing the same with TRINITY and a Windows machine gives me a
> properly set DISPLAY variable.
> 
> What happens if you run, say, xterm in single application mode?
> Is DISPLAY set there?
> 
> -Stefan
> 
> -- 
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>